Bug 153977 - Building glade2-2.6.0-1.src.rpm produces a binary that starts in a continuos loop
Building glade2-2.6.0-1.src.rpm produces a binary that starts in a continuos ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glade2 (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
RHEL4U3NAK
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-06 07:38 EDT by Johnny Hughes
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 16:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes infinite loop bug in startup (540 bytes, patch)
2005-04-06 12:22 EDT, David L. Parsley
no flags Details | Diff

  None (edit)
Description Johnny Hughes 2005-04-06 07:38:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050324 Firefox/1.0.2 Red Hat/1.0.2-1.4.1.centos4

Description of problem:
After building glade2-2.6.0-1.src.rpm on a RHEL-4 machine and installing the produced glade2-2.6.0-1.i386.rpm, running the command "glade-2" produces a blank palette and the program hangs.

Same issue if the SRPM is built on an x86_64 machine.



Version-Release number of selected component (if applicable):
glade2-2.6.0-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.  rpmbuild --rebuild glade2-2.6.0-1.src.rpm



Additional info:

running an strace when starting produces this continuos loop:

open("/home/testuser/.icons/Bluecurve/cursors/xterm", O_RDONLY) = 16
fstat(16, {st_mode=S_IFREG|0644, st_size=5020, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a98c3c000
read(16, "Xcur\20\0\0\0\0\0\1\0\3\0\0\0\2\0\375\377\30\0\0\0004\0"..., 4096) = 4096
lseek(16, 0, SEEK_SET)                  = 0
read(16, "Xcur\20\0\0\0\0\0\1\0\3\0\0\0\2\0\375\377\30\0\0\0004\0"..., 4096) = 4096
close(16)                               = 0
munmap(0x2a98c3c000, 4096)              = 0 

I went to the gnome.org site for glade2 and noticed the following line:

Fixed bug that could cause an infinite loop on startup.

IN:

http://ftp.gnome.org/pub/GNOME/sources/glade/2.6/glade-2.6.8.news

So I downloaded the file:

http://ftp.gnome.org/pub/GNOME/sources/glade/2.6/glade-2.6.8.tar.bz2

and modified the spec file so the version is:

Version:        2.6.8

then rebuilt and installed the rpm ... it seems to work fine with this version of glade2.

Obviously, this needs to be tested.
Comment 1 David L. Parsley 2005-04-06 12:21:30 EDT
This was a small change in glade/glade_atk.c; applying the patch to the 2.6.0
src.rpm fixes it for me.  I'll attach 'glade-infinite-loop.patch'.
Comment 2 David L. Parsley 2005-04-06 12:22:43 EDT
Created attachment 112762 [details]
Fixes infinite loop bug in startup
Comment 3 Johnny Hughes 2005-04-06 20:38:03 EDT
I can verifiy that this patch fixes the above problem for me in i386 and x86_64.
Comment 14 RHEL Product and Program Management 2006-09-05 15:53:51 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 15 RHEL Product and Program Management 2006-09-05 16:05:10 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.